/*
 * colors.c
 *
 * provides some color stuff - NOT USEFUL at the moment
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_COLORS_H_INCLUDED_
#define _ED2K_GUI_COLORS_H_INCLUDED_

#include <gtk/gtk.h>

typedef enum
{
 DL_COL_SCHEME_NONE = 0,	/* used as initial value */
 DL_COL_SCHEME_DEFAULT,
 DL_COL_SCHEME_GREEN,
 DL_COL_SCHEME_RED,
 DL_COL_SCHEME_ALLRED,
 DL_COL_SCHEME_YELLOW,
 DL_COL_SCHEME_PURPLE,
} ColorSchemeDL ;


/* different styles */

extern GtkStyle		*style_dark_green_background;
extern GtkStyle		*style_notebook_page;
extern GtkStyle		*style_notebook_label;
extern GtkStyle		*style_advanced_command_widget;
extern GtkStyle		*style_url_label;

extern GdkColor 	red, blue, green, yellow, purple, orange, cyan, black, white;
extern GdkColor		dark_green, dark_grey, medium_green, brown;
extern GdkColor 	ultradark_green, dark_yellow, grey;

/* functions */

GtkStyle	*create_style (GdkColor fg, GdkColor txt, GdkColor bg);
void 		create_default_styles (void);
void 		set_style_recursively (GtkWidget *widget, gpointer data);
void		colors_set_downloadsclist_scheme (ColorSchemeDL scheme, GdkPixmap **pm, GdkBitmap **bm, GdkColor **txtcol);

#endif

