/*
*	options_page.h
*
*	(c) 2001 Tim-Philipp Muller <t.i.m@orange.net>
*
*/


/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_OPTIONS_PAGE_H_INCLUDED_
#define _ED2K_GUI_OPTIONS_PAGE_H_INCLUDED_

#define SET_TOOLTIP(widget, tip)	gtk_tooltips_set_tip(tooltips, widget, tip, NULL)


#define OPTIONS_ADD_SPINBUTTON(table,labeltxt,widget,default_val,min_val,max_val,increment,row,tiptext)	\
			if(1==1){\
				GtkWidget *sblabel = gtk_label_new(labeltxt);\
				gtk_widget_show(sblabel);\
				gtk_table_attach (GTK_TABLE (table), sblabel, 0, 1, row, row+1,\
						(GtkAttachOptions) (GTK_FILL),\
						(GtkAttachOptions) (0), 5, 0);\
				gtk_label_set_justify (GTK_LABEL (sblabel), GTK_JUSTIFY_LEFT);\
				gtk_misc_set_alignment (GTK_MISC (sblabel), 0, 0.5);\
				widget = gtk_spin_button_new (GTK_ADJUSTMENT(gtk_adjustment_new(default_val,min_val,max_val,1.0,1.0,1.0)),increment,0);\
				gtk_widget_show (widget);\
				gtk_table_attach (GTK_TABLE (table), widget, 1, 2, row, row+1,\
						(GtkAttachOptions) (GTK_EXPAND | GTK_FILL),\
						(GtkAttachOptions) (0), 5, 0);\
				if (tiptext!=NULL) SET_TOOLTIP(widget, tiptext);\
			}

#define OPTIONS_ADD_ENTRY(table,labeltxt,widget,row,tiptext)\
			if(1==1){\
				GtkWidget *sblabel = gtk_label_new(labeltxt);\
				gtk_widget_show(sblabel);\
				gtk_table_attach (GTK_TABLE (table), sblabel, 0, 1, row, row+1,\
						(GtkAttachOptions) (GTK_FILL),\
						(GtkAttachOptions) (0), 5, 0);\
				gtk_label_set_justify (GTK_LABEL (sblabel), GTK_JUSTIFY_LEFT);\
				gtk_misc_set_alignment (GTK_MISC (sblabel), 0, 0.5);\
				widget = gtk_entry_new();\
				/* make num block enter key behave like normal enter key */\
				gtk_signal_connect (GTK_OBJECT (widget), N_("insert_text"),\
				GTK_SIGNAL_FUNC (misc_gtk_entry_insert_text_handler), NULL);\
				gtk_widget_show (widget);\
				gtk_table_attach (GTK_TABLE (table), widget, 1, 2, row, row+1,\
						(GtkAttachOptions) (GTK_EXPAND | GTK_FILL),\
						(GtkAttachOptions) (0), 5, 0);\
				if (tiptext!=NULL) SET_TOOLTIP(widget, tiptext);\
			}

void		 options_update_option_widgets (void);
void		 options_ok_button_clicked (GtkWidget *widget, gpointer gdata);
GtkWidget	*options_page_create (void);

#endif
