#!/bin/sh
# merge the current translation template file (ed2k_gui.pot) with an existing .po file
#
# SPECIFY THE X.PO FILE AS FIRST PARAMETER.
#
# script by Tim Muller <t.i.m@orange.net>
# (I can't really make scripts, but I also can't remember stuff, so here it is anyway)
#

if [ -z "$1" ]; then
	echo "You need to specify the x.po file as first parameter!";
	exit 1;
fi

if [ ! -e "$1" ]; then
	echo "The file '$1' doesn't exist!";
	exit 1;
fi


echo "Merging ed2k_gui.pot with $1 ..."

msgmerge -w 90 "$1" ed2k_gui.pot > "$1t"

echo "Done. New file is '$1t'. Check it and if it looks okay rename it to '$1'."
echo " "
