//
//       notebook.h              (part of the edonkey2000 linux gui)
//
//      (c) 2001-2002 Tim-Philipp Muller <t.i.m@orange.net>
//
//

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_NOTEBOOK_H_INCLUDED_
#define _ED2K_GUI_NOTEBOOK_H_INCLUDED_

#include <gtk/gtk.h>


enum
{
  NOTEBOOK_PAGE_DOWNLOADS = 0,
  NOTEBOOK_PAGE_UPLOADS,
  NOTEBOOK_PAGE_SEARCH,
  NOTEBOOK_PAGE_SERVERS,
  NOTEBOOK_PAGE_STATUS,
  NOTEBOOK_PAGE_OPTIONS,
  NOTEBOOK_PAGE_SHARED,
  NOTEBOOK_PAGE_STATS,
} ;

extern int current_page;
extern GtkWidget *notebook;		// the notebook


void		 notebook_page_switched (GtkWidget *widget, GtkNotebookPage *page, gint page_num);
GtkWidget	*notebook_create (GtkWidget *window, GtkPositionType pos);
void		 notebook_show_hide_tab_label_text (void);

#endif
