/***************************************************************************
                          shared_dirs.h  -  description
                             -------------------
    begin                : Sat Jul 27 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_shared_dirs_h_included_
#define _ed2k_gui_shared_dirs_h_included_

#include <gtk/gtk.h>

#define SH_CLIST	GTK_CLIST(clist_shared)

typedef struct
{
	gchar		*dirname;
	gint		 idxnum;	// position in list of shared dirs
	gboolean	 remove;
} shareddirRecord;


extern GPtrArray	*shareddirs;	// contains pointers to gchar* directorynames


shareddirRecord		*shareddirs_find_from_dirname (const gchar *dirname);
void           		 shareddirs_remove_record (shareddirRecord *sdr);
void           		 shareddirs_cleanup (void);
void           		 shareddirs_send_remove_records (GSList *recordlist);
GSList         		*shareddirs_add_subdirs_to_list (GSList *list, const gchar *dirname);

void           		 shareddirsclist_update (void);
void           		 shareddirs_send_get (guint millisecs);


#endif


